Skip to main content
GET
/
partial-config
List matching connector configuration suggestions
import requests

url = "https://{FUSION HOST}/api/partial-config"

response = requests.get(url)

print(response.text)
HttpResponse<String> response = Unirest.get("https://{FUSION HOST}/api/partial-config")
.asString();
const options = {method: 'GET'};

fetch('https://{FUSION HOST}/api/partial-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://{FUSION HOST}/api/partial-config")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://{FUSION HOST}/api/partial-config"

req, _ := http.NewRequest("GET", url, nil)

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/partial-config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
curl --request GET \
--url https://{FUSION HOST}/api/partial-config
[
  {
    "type": "<string>",
    "title": "<string>",
    "config": {},
    "valid": true,
    "errors": [
      {
        "field": "<string>",
        "value": {},
        "code": "<string>",
        "message": "<string>"
      }
    ],
    "installed": true
  }
]

Query Parameters

input
string
required

The input value to evaluate. It can be a URL, file path, FTP address, or similar resource identifier.

Response

200 - application/json

Successfully retrieved connector configuration suggestions.

type
string
title
string
config
object
valid
boolean
errors
object[]
installed
boolean